1. CrackBerry Question's Avatar
    i had bbm on my android phone but its was running slow so i decided to factory data reset it after i try to download the bbm app n it said my device isnt compatible with the version of bbm.
    11-12-14 06:48 PM
  2. tmf06's Avatar
    I think BBM requires android 4.0. Did your phone reset to an earlier OS version?

    Posted via CB10
    11-12-14 07:16 PM
  3. Dave Bourque's Avatar
    You need at least android 2.3.3 .... make sure you have that version of android it's possible that you went back to an older OS.

    Posted via CB10
    11-12-14 07:24 PM

Similar Threads

  1. BBM toast notifications not working please help
    By Bobert_123 in forum BlackBerry 10 OS
    Replies: 5
    Last Post: 12-31-14, 07:15 PM
  2. In 2015, should the Z30 still be considered as an upgrade over the Z10?
    By prithvim7 in forum General BlackBerry Discussion
    Replies: 80
    Last Post: 11-23-14, 01:51 PM
  3. My BlackBerry phone number
    By ringerlemur in forum Ask a Question
    Replies: 3
    Last Post: 11-13-14, 06:13 AM
  4. Block calls and record telephone conversations with Mr. Call for BlackBerry 10
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 11-12-14, 06:00 PM
LINK TO POST COPIED TO CLIPBOARD